CapyDB/ docs
ReferenceAPI

Jobs

Asynchronous job tracking.

List project jobs

GET
/v1/projects/{projectID}/jobs

Authorization

headerAuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

Path Parameters

projectID*string

Project id.

Query Parameters

limit?integer

Maximum number of jobs to return (default 25).

Range0 <= value
Default25

Response Body

Jobs.

application/json
  1. response
jobs*array<>
curl -X GET 'https://capydb.dev/api/capydb/v1/projects/string/jobs'
{  "jobs": [    {      "attempts": 0,      "claimed_at": "2019-08-24T14:15:22Z",      "claimed_by": "string",      "host_id": "string",      "instance_id": "string",      "completed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "error": "string",      "id": "string",      "last_exit_code": 0,      "last_stderr": "string",      "last_stdout": "string",      "locked_resource": "string",      "max_attempts": 0,      "organization_id": "string",      "preview_database_id": "string",      "project_id": "string",      "result": null,      "retry_classification": "string",      "started_at": "2019-08-24T14:15:22Z",      "state": "pending",      "type": "project.apply_plan",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}

Get a job

GET
/v1/jobs/{jobID}

Authorization

headerAuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

Path Parameters

jobID*string

Job id.

Response Body

The job.

application/json
  1. response
job*
curl -X GET 'https://capydb.dev/api/capydb/v1/jobs/string'
{  "job": {    "attempts": 0,    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": "string",    "host_id": "string",    "instance_id": "string",    "completed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "error": "string",    "id": "string",    "last_exit_code": 0,    "last_stderr": "string",    "last_stdout": "string",    "locked_resource": "string",    "max_attempts": 0,    "organization_id": "string",    "preview_database_id": "string",    "project_id": "string",    "result": null,    "retry_classification": "string",    "started_at": "2019-08-24T14:15:22Z",    "state": "pending",    "type": "project.apply_plan",    "updated_at": "2019-08-24T14:15:22Z"  }}